Subject: Re: bug#37615: 27.0.50; package-test-macro-compilation fails

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Oct 2019 11:55:03 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 4 Oct 2019 10:23:45 +0200
> Cc: [email-masked]
> 
> >   cd test
> >   make lisp/emacs-lisp/package-tests.log
> >
> > and got this:
> [...]
> >      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
> >
> > In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
> >  of 2019-10-04 built on HOME-C4E4A596F7
> 
> Could this be MS-Windows specific?  I'm not seeing it here, on GNU/Linux.

Could be.  Do you know where should I look and what additional details
to send?

In general, this test is too noisy and displays a lot of messages that
fill the screen and make it hard to find relevant parts.  So maybe I'm
missing some important clue.  For example, is any of the below related
or not?

    INFO     Scraping files for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...
  ~/macro-problem-2.0/macro-problem-autoloads.el and c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el are the same file
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...done
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...
  ~/macro-problem-2.0/macro-problem-autoloads.el and c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el are the same file
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...done
    INFO     Scraping files for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...done
  Wrote c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el
  Checking c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-pkg.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...

  In macro-problem-10-and-90:
  macro-problem.el:27:45:Warning: reference to free variable `hehe'

  In end of data:
  macro-problem.el:31:1:Warning: the function `macro-aux-3' is not known to be
      defined.